org.apache.cassandra.index.sasi.memory

## Class TrieMemIndex.ConcurrentPrefixTrie

- java.lang.Object
- - org.apache.cassandra.index.sasi.memory.TrieMemIndex.ConcurrentPrefixTrie

- Enclosing class:
    TrieMemIndex

      protected static class TrieMemIndex.ConcurrentPrefixTrie
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.ConcurrentSkipListSet<DecoratedKey>` | `get(java.lang.String value)`
    `java.util.concurrent.ConcurrentSkipListSet<DecoratedKey>` | `putIfAbsent(java.lang.String value, java.util.concurrent.ConcurrentSkipListSet<DecoratedKey> newKeys)`
    `java.lang.Iterable<java.util.concurrent.ConcurrentSkipListSet<DecoratedKey>>` | `search(Expression.Op operator, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public java.util.concurrent.ConcurrentSkipListSet<DecoratedKey> get(java.lang.String value)

    - #### putIfAbsent

          public java.util.concurrent.ConcurrentSkipListSet<DecoratedKey> putIfAbsent(java.lang.String value,
                                                                                      java.util.concurrent.ConcurrentSkipListSet<DecoratedKey> newKeys)

    - #### search

          public java.lang.Iterable<java.util.concurrent.ConcurrentSkipListSet<DecoratedKey>> search(Expression.Op operator,
                                                                                                     java.lang.String value)

Copyright © 2018 The Apache Software Foundation